import { renderless, api } from '@opentinyvue/vue-renderless/user-account/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import UserContact from '@opentinyvue/vue-user-contact';
import Logout from '@opentinyvue/vue-logout';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    UserContact,
    Logout
  },
  props: [].concat(props, ["showArrow", "guestRole", "getUserInfo", "getLangData", "getUserImageUrl", "getLogoutUrl", "redirectUrl", "isLocal", "network", "isMock", "isGuestUser", "showLogin", "popperClass", "popperAppendToBody", "beforeLogout"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-user-account"
  }, [_c("user-contact", {
    attrs: {
      "data": _vm.state,
      "show-arrow": _vm.showArrow,
      "popper-class": "tiny-user-account" + (_vm.popperClass ? " " + _vm.popperClass : ""),
      "popper-append-to-body": _vm.popperAppendToBody
    }
  }, [_c("div", {
    staticClass: "user-account-pop"
  }, [_c("div", {
    staticClass: "user-account-custom"
  }, [_vm._t("default")], 2), _c("logout", {
    attrs: {
      "guest-role": _vm.guestRole,
      "get-logout-url": _vm.getLogoutUrl,
      "is-local": _vm.isLocal,
      "redirect-url": _vm.redirectUrl,
      "network": _vm.network,
      "is-mock": _vm.isMock,
      "is-guest-user": _vm.isGuestUser,
      "show-login": _vm.showLogin,
      "before-logout": _vm.beforeLogout
    }
  })], 1)])], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
